;; Session mode settings
;;
;; This file is intended to be user-edited in its present, S-expression form.
;; However, in order that it shall also be possible for the Leonardo system
;; to process it and regenerate it, the following rules must be respected:
;; --  Comments on separate lines, no lines containing S-expression input
;;     followed by a comment at the end of the same line.
;; --  All comment lines begin with a semicolon in the first position
;; --  Multi-line S-expressions are allowed but there must not be any
;;     comment lines in the middle of them.
;; --  Do not change the contents of this preamble, up to and including the
;;     line consisting of dashes that follows here.
;;
;; -----------------------------------------------------------------------

;; Current host
(setq *current-host* nil)
(setq *default-host* nil)

;; Parameters used by Allegro system
(setq *print-startup-message* 
         '((:compiler-switches . t) (:compiler-explain . t)
           (:source-file-recording . t) (:xref . t)
           (:external-format . t) ))
;; These parameters determine what will be displayed when a session starts
(setq *restart-init-function* 'restart-init-function)
;; This is the function that is invoked after an error in execution

;; Entityfile loading mode during startup
(setq *load-by-leo* t)
;; If this value is t then the ef in indivmap-kb will be loaded from
;; their .leo representation during startup. This is appropriate if
;; they may have been edited recently.

;; Trace and babble control
(setq *trace* nil)
(setq *no-leoprint-babble* t)
(setq *suppress-nullvalued* t)

;; Message-passing
(setq *base-server-port* 8080)
;; See the file sessionmode.dok for an explanation

;; Episodes
(setq *server-episode* 'episode-0000)
;; Episode for server interactions (temporary place for this assignment)

;; Definitions for attitudes in command-line loop
(setq *attitude-list* (list (list 'att.ses 'episode-0000)))
(setq *cur-attitude* 'att.ses)
(setf (get 'att.ses 'has-episode) *top-epi*)

;; Other definitions for behavior of command-line loop
(setf (get *cursession* 'uses-language) 'English)


